> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.jarvi.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# [Entreprise] Créer ou mettre à jour

> Save a company in Jarvi. It creates the company if it does not exist, updates it if it does.

<Warning>Vous devez utiliser votre **clé d'api privée** pour cette requête.</Warning>

Vous pouvez tout personnaliser complètement les informations de chaque profils grâce aux <a href="../../custom-fields">Champs personnalisés</a>. Cliquez sur ce lien pour comprendre comment lire et écrire des informations dans les champs personnalisés.


## OpenAPI

````yaml POST /rest/v2/companies
openapi: 3.0.1
info:
  title: Jarvi API
  description: An API to help you read and manage your projects, profiles, and more.
  license:
    name: MIT
  version: 2.0.0
servers:
  - url: https://functions.prod.jarvi.tech/v1/public-api
security:
  - ApiKeyAuth: []
paths:
  /rest/v2/companies:
    post:
      summary: Creates or update a company
      description: >-
        Save a company in Jarvi. It creates the company if it does not exist,
        updates it if it does.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              properties:
                name:
                  type: string
                  description: The name of the company
                  example: Jarvi
                description:
                  type: string
                  description: The description of the company
                  example: >-
                    Jarvi is an ATS and CRM that gather your talents,
                    conversations, opportunities, clients in one place.
                linkedinUrl:
                  type: string
                  description: The linkedin url of the company
                  example: https://www.linkedin.com/company/jarvi-tech/
                companyId:
                  type: string
                  description: 'The id of the company you want to update. '
                  example: 713a8005-e54d-4ee3-b6a4-89b27167dde6
                externalId:
                  type: string
                  description: The id of the company you want to update in your system.
                  example: '123456'
                assignees:
                  type: string
                  description: The assignees of the company
                  example: Sarah Le Roué, Johan Barri, Quentin DECRE
                statusId:
                  type: string
                  description: The status of the company
                  example: dbab8773-8b59-4597-af75-b31333dd5409
      responses:
        '201':
          description: The application has been saved
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Company saved successfully
                  taskId:
                    type: string
                    example: 0b538428-7652-4243-baaf-3867803d7007
                  companyId:
                    type: string
                    example: d730cca9-d8b0-49e7-b2e0-c58c1bb7af9f
        '400':
          description: Cannot save profile, see details
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Error details
                  taskId:
                    type: string
                    example: 0b538428-7652-4243-baaf-3867803d7007
        '500':
          description: Unknown error
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: An error occured
                  taskId:
                    type: string
                    example: 0b538428-7652-4243-baaf-3867803d7007
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````